### Method

# Devhelp WebView set_search_text

since: 3.30

#### Declaration [src]

    void
    dh_web_view_set_search_text (
      DhWebView* view,
      const gchar* search_text
    )

#### Description [src]

A more convenient API (for Devhelp needs) than `WebKitFindController`. If `search_text` is not empty, it calls `webkit_find_controller_search()` if not already done. If `search_text` is empty or `NULL`, it calls webkit_find_controller_search_finish().

Available since: 3.30

#### Parameters

`search_text`

  Type: `const gchar*`

  The search string, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.